Loading...
Searching...
No Matches
Built-in keys

## Macros

#define | MBEDTLS_PSA_KEY_ID_BUILTIN_MIN ((psa_key_id_t) 0x7fff0000)
#define | MBEDTLS_PSA_KEY_ID_BUILTIN_MAX ((psa_key_id_t) 0x7fffefff)

## Typedefs

typedef uint64_t | psa_drv_slot_number_t

## Detailed Description

## Macro Definition Documentation

## MBEDTLS_PSA_KEY_ID_BUILTIN_MAX

#define MBEDTLS_PSA_KEY_ID_BUILTIN_MAX ((psa_key_id_t) 0x7fffefff)

The maximum value for a key identifier that is built into the implementation.

See MBEDTLS_PSA_KEY_ID_BUILTIN_MIN for more information.

Definition at line 510 of file crypto_extra.h.

## MBEDTLS_PSA_KEY_ID_BUILTIN_MIN

#define MBEDTLS_PSA_KEY_ID_BUILTIN_MIN ((psa_key_id_t) 0x7fff0000)

The minimum value for a key identifier that is built into the implementation.

The range of key identifiers from MBEDTLS_PSA_KEY_ID_BUILTIN_MIN to MBEDTLS_PSA_KEY_ID_BUILTIN_MAX within the range from PSA_KEY_ID_VENDOR_MIN and PSA_KEY_ID_VENDOR_MAX and must not intersect with any other set of implementation-chosen key identifiers.

This value is part of the library's API since changing it would invalidate the values of built-in key identifiers in applications.

Definition at line 503 of file crypto_extra.h.

## Typedef Documentation

## psa_drv_slot_number_t

typedef uint64_t psa_drv_slot_number_t

A slot number identifying a key in a driver.

Values of this type are used to identify built-in keys.

Definition at line 516 of file crypto_extra.h.